org.apache.hc.client5.http.async

## Interface AsyncExecChain

    public interface AsyncExecChain

### Nested Class Summary

Nested Classes
`static class` `AsyncExecChain.Scope`

### Method Summary

Methods
`void` `proceed(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer, AsyncExecChain.Scope scope, AsyncExecCallback asyncExecCallback)`

### Method Detail

#### proceed

    void proceed(org.apache.hc.core5.http.HttpRequest request,
               org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer,
               AsyncExecChain.Scope scope,
               AsyncExecCallback asyncExecCallback)
                 throws org.apache.hc.core5.http.HttpException,
                        IOException

Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`